<template>
    <div>
        <van-list
            :finished="finished"
            finished-text="没有更多了"
            @load="searchStation()"
            >
            <van-cell v-for="(item,i) in dataList" :key="i" :title="item.label"/>
        </van-list>
    </div>
</template>
<script>
import { searchStation } from "@/assets/js/api";
export default {
    data(){
        return {
            finished: false,
            dataList:[]
        }
    },
    mounted(){

    },
    methods:{
        searchStation:function(){
            let self = this;
                searchStation({
                    StationName1:"",
                    StationName2:"",
                    StationName5:"",
                }).then((res)=>{
                    let rs = JSON.parse(res.data.result);
                    let data = [];
                    if(rs.code == 1) {
                        data = rs.data;
                    }
                    // 格式化数据
                    this.formatData(data);
                });
        },
        formatData(data) {
            let self = this;
            let homeList = [];
            // 遍历数据构造树状
            data.forEach(item=>{
                let tmp = {};
                tmp.label = item.StationName1+"-"+item.StationName2+"-"+item.StationName5+"-"+item.StationName3;
                tmp.key = item.FBSDeviceId+Math.random();
                tmp.id = item.FBSDeviceId;
                tmp.data = item;
                let index = this.checkValIsIn(tmp.label, homeList);
                if(index == -1) {
                    homeList.push(tmp);
                }
            });
            self.dataList = homeList;
            self.finished = true;
        },
        checkValIsIn(val, arr) {
            for(let i=0; i<arr.length; i++) {
                if(arr[i].label == val) {
                    return i;
                }
            }
            return -1;
        },
    }

}
</script>
<style scoped>

</style>